# Set the money limits

`PUT /payments/policy` · Rivier · shop

Set the money limits.

- Scope: shop:admin
- Sdk: shop.moneyPolicy.set
- Cli: shop money policy set

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "policy": {
      "type": "object",
      "properties": {
        "refunds": {
          "type": "object",
          "properties": {
            "maxPerActionMinor": {
              "type": "integer",
              "minimum": 0,
              "default": 0
            },
            "maxPerDayMinor": {
              "type": "integer",
              "minimum": 0,
              "default": 0
            }
          },
          "additionalProperties": false,
          "default": {}
        },
        "links": {
          "type": "object",
          "properties": {
            "maxAmountMinor": {
              "type": "integer",
              "minimum": 0,
              "default": 0
            },
            "maxPerDay": {
              "type": "integer",
              "minimum": 0,
              "default": 0
            }
          },
          "additionalProperties": false,
          "default": {}
        }
      },
      "additionalProperties": false
    },
    "ifRev": {
      "type": "integer",
      "minimum": 0
    }
  },
  "required": [
    "policy"
  ],
  "additionalProperties": false
}
```

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X PUT 'https://api.rivier.ai/payments/policy' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "policy": {
    "refunds": {},
    "links": {}
  }
}'
```
